import webpack from 'webpack';
import ts from 'typescript';
import { TypeScriptDiagnosticsOptions } from './TypeScriptDiagnosticsOptions';
import { TypeScriptReporterOptions } from './TypeScriptReporterOptions';
import { TypeScriptVueExtensionConfiguration } from './extension/vue/TypeScriptVueExtensionConfiguration';
interface TypeScriptReporterConfiguration {
    enabled: boolean;
    memoryLimit: number;
    tsconfig: string;
    build: boolean;
    compilerOptions: Partial<ts.CompilerOptions>;
    diagnosticOptions: TypeScriptDiagnosticsOptions;
    extensions: {
        vue: TypeScriptVueExtensionConfiguration;
    };
}
declare function createTypeScriptReporterConfiguration(compiler: webpack.Compiler, options: TypeScriptReporterOptions | undefined): TypeScriptReporterConfiguration;
export { createTypeScriptReporterConfiguration, TypeScriptReporterConfiguration };
