/// <reference types="node" />
import { Stats, Dirent } from 'fs';
interface PassiveFileSystem {
    exists(path: string): boolean;
    readFile(path: string, encoding?: string): string | undefined;
    readDir(path: string): Dirent[];
    readStats(path: string): Stats | undefined;
    realPath(path: string): string;
    normalizePath(path: string): string;
    writeFile(path: string, data: string): void;
    deleteFile(path: string): void;
    createDir(path: string): void;
    updateTimes(path: string, atime: Date, mtime: Date): void;
    clearCache(): void;
}
declare function createPassiveFileSystem(caseSensitive?: boolean): PassiveFileSystem;
export { createPassiveFileSystem, PassiveFileSystem };
